Generation Framework

## org.eclipse.gmf.gmfgraph
Interface RoundedRectangle

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure, Shape

All Known Implementing Classes:
  RoundedRectangleImpl

    public interface RoundedRectangle

extends Shape

A representation of the model object 'Rounded Rectangle'. org.eclipse.draw2d.RoundedRectangle

The following features are supported:

- `Corner Width`
- `Corner Height`

See Also:
  `GMFGraphPackage.getRoundedRectangle()`
** Generated **
Model:

Method Summary
`int` `getCornerHeight()` Returns the value of the 'Corner Height' attribute.
`int` `getCornerWidth()` Returns the value of the 'Corner Width' attribute.
`void` `setCornerHeight(int value)` Sets the value of the '`Corner Height`' attribute
`void` `setCornerWidth(int value)` Sets the value of the '`Corner Width`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.Shape
`getLineKind, getLineWidth, getResolvedChildren, isFill, isOutline, isXorFill, isXorOutline, setFill, setLineKind, setLineWidth, setOutline, setXorFill, setXorOutline`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCornerWidth

    int getCornerWidth()

  Returns the value of the 'Corner Width' attribute. The default value is `"8"`.

  If the meaning of the 'Corner Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Corner Width' attribute.
  See Also:
    `setCornerWidth(int)`, `GMFGraphPackage.getRoundedRectangle_CornerWidth()`
  ** Generated **
  Model:
    default="8"

### setCornerWidth

    void setCornerWidth(int value)

  Sets the value of the '`Corner Width`' attribute.

  Parameters:
    `value` - the new value of the 'Corner Width' attribute.
  See Also:
    `getCornerWidth()`
  ** Generated **

### getCornerHeight

    int getCornerHeight()

  Returns the value of the 'Corner Height' attribute. The default value is `"8"`.

  If the meaning of the 'Corner Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Corner Height' attribute.
  See Also:
    `setCornerHeight(int)`, `GMFGraphPackage.getRoundedRectangle_CornerHeight()`
  ** Generated **
  Model:
    default="8"

### setCornerHeight

    void setCornerHeight(int value)

  Sets the value of the '`Corner Height`' attribute.

  Parameters:
    `value` - the new value of the 'Corner Height' attribute.
  See Also:
    `getCornerHeight()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.